cancel
Showing results for 
Search instead for 
Did you mean: 

I have been a supporter of Firefox for over 10 years in the schools that I work in. Now you no longer support Mac OSX 10.5? Please create an update for this OS

Highlighted
New User

I have been a supporter of Firefox for over 10 years in the schools that I work in. Now you no longer support Mac OSX 10.5? Please create an update for this OS

Please create an update to firefox for MAC OS X 10.5.8...I have so many labs that still use this OS and with budget cuts they are not planning to update for the next few years. It cannot be that difficult.

3 REPLIES
Shooting Star

Re: I have been a supporter of Firefox for over 10 years in the schools that I work in. Now you no longer support Mac OSX 10.5? Please create an update for this OS

You can use TenFourFox, which is a third-party build of Firefox that works on Mac OS X 10.4 or 10.5.

Mozilla already ended support for Leopard a month ago. The developers believe that the resources spent supporting the older operating system would be better used elsewhere. Realistically, one or more enthusiasts asking not to end support isn't going to change the fact the user base isn't large enough to make that kind of effort worthwhile.

Site Moderator

Re: I have been a supporter of Firefox for over 10 years in the schools that I work in. Now you no longer support Mac OSX 10.5? Please create an update for this OS

TenFourFox only works on Mac with a PowerPC processor, so that won't help you with an Intel processor.
Only an update to Mac OS X 10.6 or later will make it possible to continue using current Firefox versions.

Latest Firefox for Mac OS X 10.5:

Site Moderator

Re: I have been a supporter of Firefox for over 10 years in the schools that I work in. Now you no longer support Mac OSX 10.5? Please create an update for this OS

There is the 10.0.* esr builds alongside the 17.0 esr. However support for 10.0.* esr will end once Firefox 19.0 is released.